#ifndef EACLOCKATTR_H
#define EACLOCKATTR_H

#include <QTimeZone>
#include <QByteArray>
#include "eattr.h"
#include "eaclock.h"

namespace Ui {
class eAClockAttr;
}

class eAClockAttr : public eAttr
{
    Q_OBJECT

public:
    explicit eAClockAttr(const eAClock::Data &data, QWidget *parent = nullptr);
    ~eAClockAttr();

signals:
    void sAttrChanged(const eAClock::Data &);

public slots:
    void onAttrChanged();
    void onOpenBiaoPanPic();
    void onSetGroup3Visiable(bool b);
private:
    Ui::eAClockAttr *ui;
};

#endif // EACLOCKATTR_H
